.. AUTO-GENERATED FILE. DO NOT EDIT. auth-login-submit ================= Source ------ - Repository: ``jef-systems/jef-login-backend`` - Source Run ID: ``24472639552`` - Source SHA: ``84f6c59edbf284569e9889897763e643855aa510`` - Module: ``login`` - Documentation Scope: ``async`` - Lambda: ``jef-login-post-login-submit`` Endpoint -------- - API Name: ``jef-login`` - Action Name: ``post`` - Method: ``POST`` - Scope Label: ``Async`` - Resource Path: ``/auth-login-submit`` - Complete Endpoint: ``https://mzx26r2ye4.execute-api.ap-southeast-1.amazonaws.com/prod/auth-login-submit`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-login-post-login-submit`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-login-post-login-submit API Name: jef-login Action: post Method: POST Resource Path: /auth-login-submit Payload: - entity_number: string-4-digits-nonzerostart - employee_number: string-5-digits - password: string Response: - exists: boolean - message: string - item: {"is_submitted":"boolean","verify_path":"string","verify_query":{"entity_number":"string","employee_number":"string","password":"string"},"session_number":"string-optional"} Request Payload --------------- .. code-block:: json { "entity_number": "string-4-digits-nonzerostart", "employee_number": "string-5-digits", "password": "string" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"is_submitted\":\"boolean\",\"verify_path\":\"string\",\"verify_query\":{\"entity_number\":\"string\",\"employee_number\":\"string\",\"password\":\"string\"},\"session_number\":\"string-optional\"}" } CMD curl -------- .. code-block:: text curl -X POST "https://mzx26r2ye4.execute-api.ap-southeast-1.amazonaws.com/prod/auth-login-submit" -H "Content-Type: application/json" --data-raw "{\"entity_number\": \"string-4-digits-nonzerostart\", \"employee_number\": \"string-5-digits\", \"password\": \"string\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X POST "https://mzx26r2ye4.execute-api.ap-southeast-1.amazonaws.com/prod/auth-login-submit" -H "Content-Type: application/json" --data-raw '{"entity_number": "string-4-digits-nonzerostart", "employee_number": "string-5-digits", "password": "string"}'